from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="tactus_deep-sort-realtime",
    version="1.3.2",
    author="levan92",
    author_email="lingevan0208@gmail.com",
    description="Deep SORT with device selector",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/Cranfield-GDP3/deep_sort_realtime",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    packages=find_packages(exclude=("test",)),
    package_data={
        "deep_sort_realtime.embedder": [
            "weights/mobilenetv2_bottleneck_wts.pt",
            "weights/osnet_ain_ms_d_c_wtsonly.pth"
            "weights/download_clip_wts.sh",
            "weights/download_tf_wts.sh",
        ]
    },
    install_requires=[
        "numpy",
        "scipy",
        "opencv-python",
    ],
)
